Bug 198928 - mbuf tags aren't being copied from the leading fragment (header) to the subsequent fragment packets
Summary: mbuf tags aren't being copied from the leading fragment (header) to the subse...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Hans Petter Selasky
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-26 15:27 UTC by fodillemlinkarim
Modified: 2020-07-06 13:50 UTC (History)
2 users (show)

See Also:


Attachments
After some back and forth on the mailing list (freebsd-net) Hans Petter Selasky came up with the attached patch which I tested successfully. (1.11 KB, patch)
2015-03-26 15:27 UTC, fodillemlinkarim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fodillemlinkarim 2015-03-26 15:27:30 UTC
Created attachment 154834 [details]
After some back and forth on the mailing list (freebsd-net) Hans Petter Selasky came up with the attached patch which I tested successfully.

I've noticed that mbuf tags aren't being copied from the leading fragment (header) to the subsequent fragment packets. In other words, one would expect that all fragments of a packet are carrying the same tags that were set on the original packet. I have built a simple test were I use ipfw with ALTQ and sent large packet (bigger then MTU) off that BSD machine. I have observed that the leading fragment (m0) packet is going through the right class although the next fragments are hitting the default class for unclassified packets.
Comment 1 Hans Petter Selasky freebsd_committer 2015-03-29 08:36:02 UTC
I'll process this issue in the coming week. Thank you!
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-23 10:27:12 UTC
batch change of PRs untouched in 2018 marked "in progress" back to open.
Comment 3 Mark Johnston freebsd_committer 2020-07-06 13:50:28 UTC
This was committed in r280991.